[global]

 workgroup = WORKGROUP         # par défaut et à laisser tel quel
 netbios name = debian-1       # nom du serveur visible sur le poste client Windows

 server string = %h server     # nom du serveur samba

 hosts allow = 192.168.0. 127. # ajouté et à modifier selon l'IP du réseau local

 security = user               # à décommenter
   
 bind interfaces only = yes    # mettre "yes" pour utiliser le choix des interfaces (ligne au dessous)
 interfaces = 192.168.0.15/24  # Pour éviter le wifi, on peut mettre à la place de l'IP/masque, le nom de l'interface "eth0:0"



[hypathie]                     # ajouté et à modifier selon le répertoire de partage 
path = /home/hypathie/         # créé sur le système lors de la création d'un nouvel utilisateur
read only = no
browseable = yes
writeable = yes
valid users = hypathie
write list = hypathie
create mask = 0700      # droits posix (octal = 0 devant 700): lecture, écriture, exécution pour l'utilisateur seulement
directory = 700
force user = nobody    # surtout si on partage la racine
force group = nogroup